Page MenuHomePhabricator

Extract interfaces and base classes from SearchResultSet and SearchResult
Closed, ResolvedPublic

Description

To let SearchEngines control how these objects are constructed.
Changing the signature of one the constructors in this hierarchy is currently nearly impossible.

Details

Related Gerrit Patches:
mediawiki/core : masterMake SearchResult an abstract base class
mediawiki/extensions/WikibaseLexemeCirrusSearch : masterUse Cirrus abstract class for SearchResultSet and ResultsType
mediawiki/extensions/WikibaseCirrusSearch : masterUse Cirrus abstract class for SearchResultSet and ResultsType
mediawiki/extensions/CirrusSearch : masterAdd CirrusSearchResultSet and type hint against it
mediawiki/core : masterHard deprecate new SearchResult() and introduce RevisionSearchResult
mediawiki/extensions/WikibaseLexemeCirrusSearch : masterUse ISearchResultSet
mediawiki/core : masterAdd SearchResultSetTrait
mediawiki/core : masterAdd BaseSearchResultSet
mediawiki/extensions/WikibaseLexemeCirrusSearch : masterUse ISearchResult
mediawiki/extensions/WikibaseCirrusSearch : masterUse ISearchResult
mediawiki/extensions/Wikibase : masterUse ISearchResult
mediawiki/core : masterAdd ISearchResult
mediawiki/core : masterAdd ISearchResultSet
mediawiki/extensions/CirrusSearch : masterUse ISearchResultSet
mediawiki/core : masterDeprecate SearchResultSet::free

Event Timeline

dcausse created this task.Jul 22 2019, 9:24 AM
Restricted Application edited projects, added Discovery-Search; removed Discovery-Search (Current work). · View Herald TranscriptJul 22 2019, 9:24 AM
dcausse triaged this task as Medium priority.Jul 22 2019, 9:24 AM
dcausse moved this task from needs triage to making others happy on the Discovery-Search board.
dcausse moved this task from making others happy to Current work on the Discovery-Search board.
dcausse renamed this task from Extract interfaces from SearchResultSet and SearchResultSet to Extract interfaces from SearchResultSet and SearchResult.Jul 22 2019, 9:28 AM
dcausse updated the task description. (Show Details)

Change 524806 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/core@master] Deprecate SearchResultSet::free

https://gerrit.wikimedia.org/r/524806

Change 524808 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/core@master] Add ISearchResultSet

https://gerrit.wikimedia.org/r/524808

Change 524822 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/CirrusSearch@master] Use ISearchResultSet

https://gerrit.wikimedia.org/r/524822

Change 524823 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/WikibaseLexemeCirrusSearch@master] Use ISearchResultSet

https://gerrit.wikimedia.org/r/524823

Change 524806 merged by jenkins-bot:
[mediawiki/core@master] Deprecate SearchResultSet::free

https://gerrit.wikimedia.org/r/524806

Change 524808 merged by jenkins-bot:
[mediawiki/core@master] Add ISearchResultSet

https://gerrit.wikimedia.org/r/524808

Change 524822 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Use ISearchResultSet

https://gerrit.wikimedia.org/r/524822

Change 525101 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/core@master] Add ISearchResult

https://gerrit.wikimedia.org/r/525101

Change 525102 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/WikibaseLexemeCirrusSearch@master] Use ISearchResult

https://gerrit.wikimedia.org/r/525102

Change 525103 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/Wikibase@master] Use ISearchResult

https://gerrit.wikimedia.org/r/525103

Change 525104 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/WikibaseCirrusSearch@master] Use ISearchResult

https://gerrit.wikimedia.org/r/525104

Change 525101 abandoned by DCausse:
Add ISearchResult

https://gerrit.wikimedia.org/r/525101

Change 525103 abandoned by DCausse:
Use ISearchResult

https://gerrit.wikimedia.org/r/525103

Change 525104 abandoned by DCausse:
Use ISearchResult

https://gerrit.wikimedia.org/r/525104

Change 525102 abandoned by DCausse:
Use ISearchResult

https://gerrit.wikimedia.org/r/525102

Change 525528 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/core@master] Add BaseSearchResultSet

https://gerrit.wikimedia.org/r/525528

Change 525543 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/core@master] Add SearchResultSetTrait

https://gerrit.wikimedia.org/r/525543

dcausse renamed this task from Extract interfaces from SearchResultSet and SearchResult to Extract interfaces and base classes from SearchResultSet and SearchResult.Jul 26 2019, 3:50 PM

Change 525834 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/CirrusSearch@master] Add CirrusSearchResultSet and type hint against it

https://gerrit.wikimedia.org/r/525834

Change 525844 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/WikibaseCirrusSearch@master] Use Cirrus abstract class for SearchResultSet and ResultsType

https://gerrit.wikimedia.org/r/525844

Change 525845 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/WikibaseLexemeCirrusSearch@master] Use Cirrus abstract class for SearchResultSet and ResultsType

https://gerrit.wikimedia.org/r/525845

Change 525528 merged by jenkins-bot:
[mediawiki/core@master] Add BaseSearchResultSet

https://gerrit.wikimedia.org/r/525528

Change 525543 merged by jenkins-bot:
[mediawiki/core@master] Add SearchResultSetTrait

https://gerrit.wikimedia.org/r/525543

Change 527216 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/core@master] Hard deprecate new SearchResult() and introduce RevisionSearchResult

https://gerrit.wikimedia.org/r/527216

Change 531451 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/core@master] Make SearchResult an abstract base class

https://gerrit.wikimedia.org/r/531451

Change 524823 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexemeCirrusSearch@master] Use ISearchResultSet

https://gerrit.wikimedia.org/r/524823

Change 527216 merged by jenkins-bot:
[mediawiki/core@master] Hard deprecate new SearchResult() and introduce RevisionSearchResult

https://gerrit.wikimedia.org/r/527216

Change 525834 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Add CirrusSearchResultSet and type hint against it

https://gerrit.wikimedia.org/r/525834

Change 525844 merged by jenkins-bot:
[mediawiki/extensions/WikibaseCirrusSearch@master] Use Cirrus abstract class for SearchResultSet and ResultsType

https://gerrit.wikimedia.org/r/525844

Change 525845 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexemeCirrusSearch@master] Use Cirrus abstract class for SearchResultSet and ResultsType

https://gerrit.wikimedia.org/r/525845

debt closed this task as Resolved.Sep 20 2019, 4:35 PM